Last-Modified: Tue, 08 Apr 2025 08:27:27 GMT
Expires: Tue, 08 Apr 2025 08:32:27 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>openwrt/tpl-mr3040-bis/trunk-36060 - tpl-mr3040-bis base openwrt</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='index, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit.css'/>
<link rel='shortcut icon' href='/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='http://git.panaceas.org/cgit/openwrt/tpl-mr3040-bis/trunk-36060/atom/target/linux/generic/config-3.7?h=master' type='application/atom+xml'/>
<link rel='vcs-git' href='git://git.panaceas.org/openwrt/tpl-mr3040-bis/trunk-36060' title='openwrt/tpl-mr3040-bis/trunk-36060 Git repository'/>
<link rel='vcs-git' href='ssh://git@git.panaceas.org/git/openwrt/tpl-mr3040-bis/trunk-36060' title='openwrt/tpl-mr3040-bis/trunk-36060 Git repository'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/cgit/'><img src='/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/cgit/'>index</a> : <a title='openwrt/tpl-mr3040-bis/trunk-36060' href='/cgit/openwrt/tpl-mr3040-bis/trunk-36060/'>openwrt/tpl-mr3040-bis/trunk-36060</a></td><td class='form'><form method='get'>
<select name='h' onchange='this.form.submit();'>
<option value='master' selected='selected'>master</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>tpl-mr3040-bis base openwrt</td><td class='sub right'>James</td></tr></table>
<table class='tabs'><tr><td>
<a href='/cgit/openwrt/tpl-mr3040-bis/trunk-36060/about/'>about</a><a href='/cgit/openwrt/tpl-mr3040-bis/trunk-36060/'>summary</a><a href='/cgit/openwrt/tpl-mr3040-bis/trunk-36060/refs/'>refs</a><a href='/cgit/openwrt/tpl-mr3040-bis/trunk-36060/log/target/linux/generic/config-3.7'>log</a><a href='/cgit/openwrt/tpl-mr3040-bis/trunk-36060/tree/target/linux/generic/config-3.7'>tree</a><a href='/cgit/openwrt/tpl-mr3040-bis/trunk-36060/commit/target/linux/generic/config-3.7'>commit</a><a href='/cgit/openwrt/tpl-mr3040-bis/trunk-36060/diff/target/linux/generic/config-3.7'>diff</a><a class='active' href='/cgit/openwrt/tpl-mr3040-bis/trunk-36060/stats/target/linux/generic/config-3.7'>stats</a></td><td class='form'><form class='right' method='get' action='/cgit/openwrt/tpl-mr3040-bis/trunk-36060/log/target/linux/generic/config-3.7'>
<select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/cgit/openwrt/tpl-mr3040-bis/trunk-36060/stats/'>root</a>/<a href='/cgit/openwrt/tpl-mr3040-bis/trunk-36060/stats/target'>target</a>/<a href='/cgit/openwrt/tpl-mr3040-bis/trunk-36060/stats/target/linux'>linux</a>/<a href='/cgit/openwrt/tpl-mr3040-bis/trunk-36060/stats/target/linux/generic'>generic</a>/<a href='/cgit/openwrt/tpl-mr3040-bis/trunk-36060/stats/target/linux/generic/config-3.7'>config-3.7</a></div><div class='content'><div class='cgit-panel'><b>stat options</b><form method='get'><table><tr><td colspan='2'/></tr><tr><td class='label'>Period:</td><td class='ctrl'><select name='period' onchange='this.form.submit();'><option value='w' selected='selected'>week</option>
<option value='m'>month</option>
<option value='q'>quarter</option>
</select></td></tr><tr><td class='label'>Authors:</td><td class='ctrl'><select name='ofs' onchange='this.form.submit();'><option value='10' selected='selected'>10</option><option value='25'>25</option><option value='50'>50</option><option value='100'>100</option><option value='-1'>all</option></select></td></tr><tr><td/><td class='ctrl'><noscript><input type='submit' value='Reload'/></noscript></td></tr></table></form></div><h2>Commits per author per week (path 'target/linux/generic/config-3.7')</h2><table class='st<style>pre { line-height: 125%; margin: 0; }
td.linenos pre { color: #000000; background-color: #f0f0f0; padding: 0 5px 0 5px; }
span.linenos { color: #000000; background-color: #f0f0f0; padding: 0 5px 0 5px; }
td.linenos pre.special { color: #000000; background-color: #ffffc0; padding: 0 5px 0 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding: 0 5px 0 5px; }
.highlight .hll { background-color: #ffffcc }
.highlight { background: #ffffff; }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span><span class="nt">sudo</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">false</span>
<span class="nt">script</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">make &amp;&amp; make test</span>
<span class="nt">language</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">cpp</span>
<span class="nt">addons</span><span class="p">:</span>
  <span class="nt">apt</span><span class="p">:</span>
    <span class="nt">sources</span><span class="p">:</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">ubuntu-toolchain-r-test</span>
    <span class="nt">packages</span><span class="p">:</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">gperf</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">build-essential</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">clang</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">bison</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">flex</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">libreadline-dev</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">gawk</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">tcl-dev</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">libffi-dev</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">git</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">mercurial</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">graphviz</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">xdot</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">pkg-config</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">python</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">g++-4.8</span>
<span class="nt">before_install</span><span class="p">:</span>
  <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">if [ &quot;$CXX&quot; = &quot;g++&quot; ]; then export CXX=&quot;g++-4.8&quot; CC=&quot;gcc-4.8&quot;; fi</span>
  <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">git clone git://github.com/steveicarus/iverilog.git</span>
  <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">(cd iverilog &amp;&amp; autoconf &amp;&amp; ./configure --prefix=$HOME/iverilog &amp;&amp; make &amp;&amp; make install)</span>
  <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">export PATH=$PATH:$HOME/iverilog/bin</span>
<span class="nt">compiler</span><span class="p">:</span>
<span class="c1">#  - clang</span>
  <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">gcc</span>
<span class="nt">os</span><span class="p">:</span>
  <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">linux</span>
</pre></div>
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3</a> (<a href='https://git-scm.com/'>git 2.25.1</a>) at 2025-04-08 08:27:27 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
